Subject: make PHYS_OFFSET determined at run time (unfinished)

From: [email-masked] (Steve Chen)
Date: Thu, 21 Jan 2010 05:43:04 -0600

On Thu, 2010-01-21 at 10:28 +0900, jassi brar wrote:
> >
> > I'm also able to boot zImage under u-boot.  However, I had to set r1
> > manually, and I don't know how to pass kernel parameters (stuff passed
> > into kernel uImage via bootargs) to zImage.  Any tips will be greatly
> > appreciated.
> Perhaps you use 'go' instead of 'bootm' command in u-boot?
> How about:-
> 
>  u-boot # <load zImage@_addr_ by some means>
> 
>  u-boot # setenv machid <your machine ID in hex without the '0x'>
>  u-boot # saveenv //persistently save the machid
>              // now you don't need to set machid even after cold reset
> 
>  u-boot # bootm _addr_
> 
> hth.

Yes, I did use go instead of bootm.  I'll give this a try.  I'm using
u-boot version 1.3.3.  Based on Uwe's comment, there is a good chance
that I'll need to upgrade my u-boot.  Thank you all for the feedback.

Steve